## GwySelectionGraphZoom GwySelectionGraphZoom — Graph zoom selection |

## Functions

GwySelection * | gwy_selection_graph_zoom_new ()

## Types and Values

struct | GwySelectionGraphZoom
struct | GwySelectionGraphZoomClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionGraphZoom

## Implemented Interfaces

GwySelectionGraphZoom implements GwySerializable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwySelectionGraphZoom is used to represent zoom graph selections. Selection data consists of coordinate quadruples (x0, y0, x1, y1).

This selection type is completely identical to GwySelectionGraphArea and should probably not exist as a separate class.

## Functions

### gwy_selection_graph_zoom_new ()

    GwySelection *
    gwy_selection_graph_zoom_new (void);

Creates a new zoom-wise graph selection.

#### Returns

A new selection object.

Since: 2.1

## Types and Values

### struct GwySelectionGraphZoom

    struct GwySelectionGraphZoom;

### struct GwySelectionGraphZoomClass

    struct GwySelectionGraphZoomClass {
        GwySelectionClass parent_class;
    };